[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TPageControl.Clear

Clears the list of tab names in the control, and frees the associated tab sheets or pages.

## Declaration

Source position: comctrls.pp line 597

`public procedure TPageControl.Clear;`

## Description

By calling the Clear method of the protected Tabs property in the TCustomTabControl ancestor, this method removes all tab sheets from the PageControl. The TPageControl.PageCount is 0 afterwards.

Note, however, that the controls on the tab sheets are only destroyed when their Owner is one of the tab sheets. Otherwise they still exist on the form, but their Parent has been set to nil.

## See also

TCustomTabControl.Tabs |  | Contains the list of pages accessible in the tabbed control.